%define prefix /usr
%define name unstopcp
%define version 1.0
%define release %mkrel 1
%define url http://www.roadkil.net/program.php?ProgramID=29

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	freeware
Group:     	File tools
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Running Roadkil's Unstoppable Copier	
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	%name < %version

%description
Recovers files from disks with physical damage. Allows you to copy files 
from disks with problems such as bad sectors, scratches or that just give 
errors when reading data. The program will attempt to recover every 
readable piece of a file and put the pieces together. Using this method 
most types of files can be made useable even if some parts of the file 
were not recoverable in the end.

The program can be used as a daily backup system using its batch mode 
functions. A list of transfers can be saved to a file and then run from 
the command line to perform the same batch of transfers on a regular 
basis without having to use the GUI interface. The program supports 
command line parameters which allow the application to be run from 
schedulers or scripts so it can be fully integrated into daily server 
tasks.

#german
%description -l de
Mit diesem Werkzeug retten Sie alle noch lesbaren Dateien von 
zerkratzten oder defekten Datenträgern. Wo andere Tools sofort abbrechen, 
versucht "Unstoppable Copier" alle wiederherstellbaren Daten, oder 
zumindest die letzten Bytes einer Datei, in einen bestimmten Ordner zu 
spielen.

Wenn Sie die Daten auf Ihrer kaputten CD/DCD schon abgeschrieben haben, 
könnte die Freeware Ihr letzter Rettungsanker sein.

%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

install -Dm 755 %{name} $RPM_BUILD_ROOT/%_bindir/%{name}

mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Unstoppable Copier
Name[de]=Unstoppable Copier
Exec=/usr/bin/%{name}
Comment=Recovers files from disks with physical damage.
Comment[de]=Rette lesbare Dateien von defekten Datenträgern.
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;Utility;FileManager;X-MandrivaLinux-System-FileTools;
EOF

install -Dm 644 %{name}.png $RPM_BUILD_ROOT/%_datadir/pixmaps/%{name}.png

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu Sep 08 2011 leiche <meisssw01 at gmail.com> 1.0-1leiche2011
- initial package
